Loading...
Searching...
No Matches
stdex::sha_t Union Reference

SHA hash value. More...

`#include <stdex/hash.hpp>`

## Public Member Functions

bool | operator!= (const stdex::sha_t &other) const
bool | operator== (const stdex::sha_t &other) const

## Public Attributes

uint8_t | data8 [20]
uint32_t | data32 [5]

## Friends

stdex::stream::basic & | operator>> (stdex::stream::basic &stream, stdex::sha_t &data)
stdex::stream::basic & | operator<< (stdex::stream::basic &stream, const stdex::sha_t data)

## Detailed Description

SHA hash value.

The documentation for this union was generated from the following file:

- include/stdex/hash.hpp